Package groovy.xml.slurpersupport

# Class NamespaceAwareHashMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,String>
groovy.xml.slurpersupport.NamespaceAwareHashMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,String>`

public class NamespaceAwareHashMap extends HashMap<String,String>
Attribute map that resolves namespace-prefixed keys into QName-style names on demand.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamespaceAwareHashMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(Object key)`
  `String`
  `get(Object key)`
  `Map`
  `getNamespaceTagHints()`
  Returns the prefix hints used for key normalization.
  `String`
  `put(String key, String value)`
  `void`
  `putAll(Map<? extends String,? extends String> m)`
  `String`
  `remove(Object key)`
  `void`
  `setNamespaceTagHints(Map namespaceTagHints)`
  Sets the prefix-to-namespace hints used to normalize prefixed keys.

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### NamespaceAwareHashMap

    public NamespaceAwareHashMap()

- ## Method Details

  - ### setNamespaceTagHints

    public void setNamespaceTagHints(Map namespaceTagHints)
    Sets the prefix-to-namespace hints used to normalize prefixed keys.
    Parameters:
      `namespaceTagHints` - known namespace prefix mappings

  - ### getNamespaceTagHints

    public Map getNamespaceTagHints()
    Returns the prefix hints used for key normalization.
    Returns:
      namespace prefix hints

  - ### get

    public String get(Object key)
    Specified by:
      `get` in interface `Map<String,String>`
    Overrides:
      `get` in class `HashMap<String,String>`

  - ### remove

    public String remove(Object key)
    Specified by:
      `remove` in interface `Map<String,String>`
    Overrides:
      `remove` in class `HashMap<String,String>`

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Map<String,String>`
    Overrides:
      `containsKey` in class `HashMap<String,String>`

  - ### put

    public String put(String key, String value)
    Specified by:
      `put` in interface `Map<String,String>`
    Overrides:
      `put` in class `HashMap<String,String>`

  - ### putAll

    public void putAll(Map<? extends String,? extends String> m)
    Specified by:
      `putAll` in interface `Map<String,String>`
    Overrides:
      `putAll` in class `HashMap<String,String>`